P3: Plugin Performance Profiler pentru WordPress


Prima impresie pe care o lasă deseori un site web care se mişcă mai lent este că autorul nu se preocupă îndeajuns de el, pentru că nu investeşte financiar într-un pachet de găzduire/hosting web mai performant sau nu îl realizează cu o soluţie web mai uşor de întreţinut. Pentru varianta a doua recomand ca de obicei platforma WordPress, care vine chiar şi în întâmpinarea persoanelor cu mai puţine cunoştinţe tehnice. Desigur că şi WordPress are "hibele" lui, iar una este încărcarea mai lentă datorată instalării şi activării unor pluginuri care consumă inutil de mult din resursele serverului de găzduire.

imagine

Problema se poate remedia printr-un … aţi ghicit bine, nou plugin. P3 Profiler (Plugin Performance Profiler) a fost creat special pentru a detecta pluginurile "frână", mai precis să stabilească impactul fiecărui plugin în parte asupra vitezei de încărcare a site-ului web. După instalarea şi activarea sa, din submeniul P3 Plugin Profiler al meniului Unelte daţi comanda Start Scan. Se deschide o nouă fereastră în care puteţi alege între modul de scanare, automată sau manuală. La finalul procesului de scanare sunt afişate rezultatele într-un mod grafic atrăgător vizual şi practic de parcurs. Sunt indicaţi timpii de încărcare pentru pluginurile activate precum şi procentajul din timpul total de încărcare a site-ului web.

imagine

În tabul Detailed Timeline sunt vizualizate şi efectele temei precum şi a fişierelor din core-ul WordPress, iar în tabul Query Timeline este redat numărul de accesări a bazei de date de pe fiecare pagină web. Pluginul mai pune la dispoziţie două funcţii utile: trimiterea rezultatelor la o adresă de mail şi suport pentru o istorie a scanărilor (pentru comparaţii ulterioare). Dacă un anumit plugin se dovedeşte a fi o frână prea puternică pentru încărcarea site-ului web se poate apela la directorul de pluginuri WordPress, alternative sunt destule.


Apreciază articolul:

1 stea2 stea3 stea4 stea5 stea (2 evaluări, media: 5,00 din 5)
Loading...Loading...

2 comentarii

  1. Cosmin spune:

    Meh. :( „Modulul nu a putut fi activat pentru că a declanșat o eroare fatală.”
    P3 requires WordPress 3.3 or later.
    Nu am facut update pentru ca nu e actualizat si pachetul de traducere RO, cel putin asa se raporteaza in administrare.

  2. jürgen.toth spune:

    Într-adevăr pluginul necesită cele mai noi versiuni, nu numai pentru WordPress ci şi în privinţa navigatoarelor. Deja cu IE 8 nu se poate face nimic.
    Recomand actualizarea la WP 3.3.1, între timp versiunea e foarte stabilă şi update-urile la noile versiuni sunt şi din motive de securitate necesare (în curând vine WP 3.4). Iar cât priveşte limba, puţină engleză în backend nu strică nimănui :).


Lasă un răspuns

Adresa ta de email nu va fi publicată. Câmpurile necesare sunt marcate *